Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174 - Rxvt does not write utmp/wtmp records
Summary: Rxvt does not write utmp/wtmp records
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rxvt
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-23 17:25 UTC by jay
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-11-24 16:50:14 UTC


Attachments (Terms of Use)

Description jay 1998-11-23 17:25:24 UTC
root@adamant /root]# ls -al `which rxvt` `which xterm`
-rwxr-xr-x   1 root     root        76300 Oct  1 20:36
/usr/bin/X11/rxvt
-rws--x--x   1 root     root       147028 Oct 10 00:58
/usr/bin/X11/xterm

xterm, which works properly is suid.  I am unsure whether
rxvt is safe to be changed to suid

Comment 1 Preston Brown 1998-11-24 16:49:59 UTC
we do not ship rxvt

Comment 2 Preston Brown 1998-11-24 16:50:59 UTC
we do not ship rxvt suid because numerous security holes have been
found in it in the past.  If you choose to make it SUID yourself, you
are on your own as far as any security situations that the change may
create.


Note You need to log in before you can comment on or make changes to this bug.